//use storage::BlockFile;
use storage::TrieFile;

fn main()
{
    std::fs::create_dir_all("data").ok();

    /*if let Ok(mut bf) = BlockFile::<128>::open("data/cache_data.bin") {

        for i in 0..760 {
            if let Ok(id) = bf.insert(format!("Hello, world! {}. This is long text to increase the block size to sufficient length to roll over into a second block when using smaller block sizes.", i).as_bytes()) {

                let data = String::from_utf8(bf.get(id).unwrap()).unwrap();
                println!("id {} = '{}'", id, data);
            }
        }
    } else {
        println!("Failed to open.");
    }*/

    if let Ok(mut tf) = TrieFile::<8>::open("data/cache_index.bin") {

        for s in [
            "Hello",
            "Hello!",
            "Goodbye",
            "Greatings",
            "Good day",
            "Regards",
        ] {
            println!("# insert {}", s);
            if tf.set(s.as_bytes(), s.as_bytes()).is_err() {
                println!("Failed to insert '{}'.", s);
            }

            if let Some(data) = tf.get(s.as_bytes()).unwrap() {
                println!("found '{}'.", String::from_utf8(data).unwrap());
            }
        }

    } else {
        println!("Failed to open index.");
    }
}
